ln_helio_posn(3)

NAME
ln_helio_posn - Heliocentric position.

SYNOPSIS

#include <ln_types.h>

  Data Fields
double L
double B
double R

Detailed Description

Heliocentric position. A heliocentric position is an objects position relative to the centre of the Sun.

Angles are expressed in degrees. Radius vector is in AU.

Examples
mars.c, and sun.c.

Field Documentation

  double ln_helio_posn::B
Heliocentric latitude

Referenced by ln_get_earth_helio_coords(), ln_get_ecl_aber(), ln_get_jupiter_helio_coords(), ln_get_mars_helio_coords(), ln_get_mercury_helio_coords(), ln_get_neptune_helio_coords(), ln_get_pluto_helio_coords(), ln_get_rect_from_helio(), ln_get_saturn_helio_coords(), ln_get_solar_ecl_coords(), ln_get_solar_equ_coords(), ln_get_solar_geom_coords(), ln_get_uranus_helio_coords(), ln_get_venus_helio_coords(), and ln_vsop87_to_fk5().

  double ln_helio_posn::L
Heliocentric longitude

Referenced by ln_get_earth_helio_coords(), ln_get_jupiter_helio_coords(), ln_get_mars_helio_coords(), ln_get_mercury_helio_coords(), ln_get_neptune_helio_coords(), ln_get_pluto_helio_coords(), ln_get_rect_from_helio(), ln_get_saturn_helio_coords(), ln_get_solar_ecl_coords(), ln_get_solar_equ_coords(), ln_get_solar_geom_coords(), ln_get_uranus_helio_coords(), ln_get_venus_helio_coords(), and ln_vsop87_to_fk5().

  double ln_helio_posn::R
Heliocentric radius vector

Referenced by ln_get_earth_helio_coords(), ln_get_earth_solar_dist(), ln_get_jupiter_disk(), ln_get_jupiter_helio_coords(), ln_get_jupiter_phase(), ln_get_jupiter_solar_dist(), ln_get_mars_disk(), ln_get_mars_helio_coords(), ln_get_mars_phase(), ln_get_mars_solar_dist(), ln_get_mercury_disk(), ln_get_mercury_helio_coords(), ln_get_mercury_phase(), ln_get_mercury_solar_dist(), ln_get_neptune_disk(), ln_get_neptune_helio_coords(), ln_get_neptune_phase(), ln_get_neptune_solar_dist(), ln_get_pluto_disk(), ln_get_pluto_helio_coords(), ln_get_pluto_phase(), ln_get_pluto_solar_dist(), ln_get_saturn_disk(), ln_get_saturn_helio_coords(), ln_get_saturn_phase(), ln_get_saturn_solar_dist(), ln_get_solar_ecl_coords(), ln_get_solar_equ_coords(), ln_get_uranus_disk(), ln_get_uranus_helio_coords(), ln_get_uranus_phase(), ln_get_uranus_solar_dist(), ln_get_venus_disk(), ln_get_venus_helio_coords(), ln_get_venus_phase(), and ln_get_venus_solar_dist().

Author

Generated automatically by Doxygen for libnova from the source code.